{#
/**
 * @file
 * Template for links.
 */
#}
{% if links -%}
  {% embed 'radix:nav' with {
    items: links,
    nav_utility_classes: [
      'nav--language-switcher'
    ]
  } %}
    {% block nav_items %}
      {% for item in links %}
        <li{{ item.attributes.addClass('nav-item') }}>
          {%- if item.link -%}
            {{ item.link }}
          {%- elseif item.text_attributes -%}
            <span{{ item.text_attributes.addClass('nav-link') }}>{{ item.text }}</span>
          {%- else -%}
            <span class="nav-link">{{ item.text }}</span>
          {%- endif -%}
        </li>
      {% endfor %}
    {% endblock %}
  {% endembed %}
{%- endif %}
